Settings
Get organization public branding
Returns public identity, default accent and contrast tokens, program override counts, capabilities and a public preview URL. Requires access_account_settings or manage_settings. Colors fall back to indigo600 when no valid organization color exists. Requires permission: one of access_account_settings, manage_settings.
GET
/
admin
/
public-branding
Get organization public branding
curl --request GET \
--url https://api.gratona.com/v1/admin/public-branding \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/admin/public-branding"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/admin/public-branding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/public-branding",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/public-branding"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/admin/public-branding")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/public-branding")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"organization": {
"name": "Example Nonprofit",
"logo": "https://cdn.example.org/logo.png"
},
"default_color_theme": {
"color": "indigo",
"color_level": 600
},
"tokens": {
"accent": "#4f46e5",
"on_accent": "#4f46e5",
"link": "#4f46e5"
},
"program_usage": {
"using_organization_default": 2,
"customized": 2,
"total": 2
},
"customized_programs": [
{
"id": 42,
"name": "Education"
}
],
"permissions": {
"can_manage_identity": true,
"can_manage_default_color": true,
"can_reset_program_overrides": true
},
"preview_url": "https://app.gratona.com/frontend/view_all/12/42"
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Not Found",
"status": "error"
}⌘I
Get organization public branding
curl --request GET \
--url https://api.gratona.com/v1/admin/public-branding \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/admin/public-branding"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/admin/public-branding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/public-branding",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/public-branding"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/admin/public-branding")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/public-branding")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"organization": {
"name": "Example Nonprofit",
"logo": "https://cdn.example.org/logo.png"
},
"default_color_theme": {
"color": "indigo",
"color_level": 600
},
"tokens": {
"accent": "#4f46e5",
"on_accent": "#4f46e5",
"link": "#4f46e5"
},
"program_usage": {
"using_organization_default": 2,
"customized": 2,
"total": 2
},
"customized_programs": [
{
"id": 42,
"name": "Education"
}
],
"permissions": {
"can_manage_identity": true,
"can_manage_default_color": true,
"can_reset_program_overrides": true
},
"preview_url": "https://app.gratona.com/frontend/view_all/12/42"
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Not Found",
"status": "error"
}